Bug 243705 - nfs-utils init scripts return incorrect status codes
nfs-utils init scripts return incorrect status codes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
:
Depends On: 243703
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 10:12 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0750
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 10:59:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-11 10:12:51 EDT
+++ This bug was initially created as a clone of Bug #243703 +++

Description of problem:
The rpcgssd, rpcidmapd and rpcsvcgssd init scripts returns incorrect error
codes. Some constructions in these scripts also prevent the correct status
command call, for example:
if [ ! -f /etc/sysconfig/network ]; then
    exit 0
fi
[ "${NETWORKING}" = "no" ] && exit 0
[ ! -x /usr/sbin/rpc.gssd ] && exit 0
[ "${SECURE_NFS}" != "yes" ] && exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-06-11 10:15:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Steve Dickson 2007-08-02 13:24:17 EDT
Fixed in nfs-utils-1.0.6-82.EL4.src.rpm
Comment 7 errata-xmlrpc 2007-11-15 10:59:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0750.html

Note You need to log in before you can comment on or make changes to this bug.